import numpy as np
import sys,glob,re,os

W = int(sys.argv[1])
datad = "data/NA_NORM_6190_Bioclim_ASCII/"

od = "%s/W%s/"%(datad,W)
os.makedirs(od,exist_ok=True)

#fns = glob.glob("%s/*.asc"%(datad))
fns = glob.glob("%s/AHM.asc"%(datad))
for fn in fns:
    bn = re.sub("\.asc$","",os.path.basename(fn))
    od0 = "%s/%s/"%(od,bn)
    os.makedirs(od0,exist_ok=True)    
    x = np.loadtxt(fn,skiprows=6)
    [n_row,n_col] = x.shape

    xs = []
    for i in range(0,n_row-W,W):
        for j in range(0,n_col-W,W):
            x0 = x[i:i+W,j:j+W]
            if (x0==-9999).any():
                continue
            ofn = "%s/dat%s_%s.npz"%(od0,i,j)
            print(ofn)
            np.savez(ofn,x=x0)

    
